Bug 1416475 - RFE: new Docker image for rh-ruby24
Summary: RFE: new Docker image for rh-ruby24
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: rh-ruby24-container
Version: rh-ruby24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: 2.4
Assignee: Jun Aruga
QA Contact: David Jež
URL:
Whiteboard:
Depends On:
Blocks: 1438894
TreeView+ depends on / blocked
 
Reported: 2017-01-25 15:21 UTC by Honza Horak
Modified: 2017-04-26 10:15 UTC (History)
2 users (show)

Fixed In Version: rh-ruby24-docker-2.4-2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-26 10:15:44 UTC
Target Upstream Version:
jaruga: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1428432 1 None None None 2021-01-20 06:05:38 UTC
Red Hat Product Errata RHEA-2017:1157 0 normal SHIPPED_LIVE new container image: rhscl/ruby-24-rhel7 2017-04-26 14:08:56 UTC

Internal Links: 1428432

Description Honza Horak 2017-01-25 15:21:43 UTC
Description:
Provide a docker image based on the rh-ruby24 collection.

Comment 1 Jun Aruga 2017-03-02 16:25:51 UTC
Modified
branch: rhscl-2.4-rh-ruby24-rhel-7

Comment 2 Jun Aruga 2017-03-02 16:31:52 UTC
Sorry I had built with release number: 6.5 by my mistake.

```
Dockerfile
...
      release="6.5" \
...
```

How to change the release number correctly now?

Comment 3 Jun Aruga 2017-03-03 12:17:53 UTC
Current status:

I bumped release number to "1".
(name:version-release is rhscl/ruby-24-rhel7:2.4-1)

Container Build
https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=12678700

Jenkins CI
http://baseos-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/rhscl-image-dispatcher-SANDBOX/925
  => Jenkins tests are failed. Checking the reason.

Comment 4 Jun Aruga 2017-03-03 12:55:00 UTC
I found the reason.

Below config file that is used in Jenkins, is wrong.

> http://pkgs.devel.redhat.com/cgit/tests/rhscl-images/tree/config/enabled-collections
> ror-50-rhel7 | rh-ror50 rh-ruby23 rh-nodejs4
> ruby-24-rhel7 | rh-ruby24 rh-nodejs4

Correct setting is

```
ror-50-rhel7 | rh-ror50 rh-ruby24 rh-nodejs6
ruby-24-rhel7 | rh-ruby24 rh-nodejs6
```

Comment 5 Jun Aruga 2017-03-03 14:56:54 UTC
Above setting issue was fixed.

Now I am waiting my pull-request to fix the unit test will be merged.
https://github.com/openshift/ruby-hello-world/pull/58

Comment 6 Jun Aruga 2017-03-06 11:40:23 UTC
(In reply to Jun Aruga from comment #5)
> Above setting issue was fixed.
> 
> Now I am waiting my pull-request to fix the unit test will be merged.
> https://github.com/openshift/ruby-hello-world/pull/58

Above PR was merged.
And built again, and passed the test failed previously.

Then I got another failure

rhscl-test-tests-git-sanity
http://baseos-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/rhscl-image-dispatcher-SANDBOX/932/
Bad version: rh-ruby24-runtime-2.4-1.el7.x86_64, expected rh-ruby24-runtime-2.4-2.el7.x86_64

Comment 7 Jun Aruga 2017-03-06 11:48:00 UTC
Errata of rh-ruby24 SCL.
https://errata.devel.redhat.com/advisory/26100/builds
  rh-ruby24-runtime-2.4-2.el7.x86_64.rpm

Comment 8 Jun Aruga 2017-03-06 11:52:46 UTC
I checked repo that is used as a beta repo.
The rh-ruby24-runtime is rh-ruby24-runtime-2.4-1.el7.x86_64 in the beta repo.

```
rhpkg container-build \
      --repo-url \
      http://git.app.eng.bos.redhat.com/git/RH_Software_Collections.git/plain/Containers/osbs-repos-signed-pkgs/rhel-7.3-rhscl-pre-beta-test-20170301.repo \
      --nowait
```

=>

[rhel-server-rhscl-7-rpms]
http://download-node-02.eng.bos.redhat.com/rel-eng/RHSCL-2.4-RHEL-7-Alpha-1.1/compose/Server/x86_64/os/Packages/
rh-ruby24-runtime-2.4-1.el7.x86_64.rpm

Comment 9 Jun Aruga 2017-03-06 14:04:51 UTC
Hi @djez,

we changed docker image name
from 
name="rhscl/ruby-24-rhel7"
to
name="rhscl-beta/ruby-24-rhel7"
.

Then got error on Jenkins CI.

Maybe you have to change some setting for "rhscl-images"?

http://baseos-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/rhscl-image-dispatcher-SANDBOX/933/

rhscl-test-labels
12:49:04 [FAIL] Overall result for metadata file '/var/jenkins/workspace/rhscl-test-labels/rhscl-images/config/labels-2.4/ruby-24-rhel7'

Comment 10 David Jež 2017-03-06 15:03:23 UTC
Hi Jun,

You are right, keep that images in "rhscl-beta" name space please. I will correct name space in labels.

Thanks,
David

Comment 11 Jun Aruga 2017-03-06 17:25:46 UTC
rhscl-beta/ruby-24-rhel7:2.4-1.5
Brew build and Jenkins CI are done successfully.
https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=12692739
http://baseos-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/rhscl-image-dispatcher-SANDBOX/952/

Comment 15 errata-xmlrpc 2017-04-26 10:15:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1157


Note You need to log in before you can comment on or make changes to this bug.